# Created by pyp2rpm-3.3.1
%global pypi_name mpris2

Name:           python-%{pypi_name}
Version:        1.0.2
Release:        %mkrel 8
Summary:        Python mpris2 definition
Group:          Development/Python
License:        GPLv2
URL:            https://github.com/hugosenari/mpris2
Source0:        https://pypi.io/packages/m/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Python usable definition of MPRIS2 This is my lib to help developers work with
MPRIS2 and python. See Mpris2 site ( also: pympris ( is some examples, that
shows how to work with this lib. Configure dbus and mainloop >>> configure
mainloop (not required if you wont expect signals) >>> from dbus.mainloop.glib
import DBusGMainLoop >>> DBusGMainLoop(set_as_defaultTrue) Discover your player
mpris uri

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python usable definition of MPRIS2 This is my lib to help developers work with
MPRIS2 and python. See Mpris2 site ( also: pympris ( is some examples, that
shows how to work with this lib. Configure dbus and mainloop >>> configure
mainloop (not required if you wont expect signals) >>> from dbus.mainloop.glib
import DBusGMainLoop >>> DBusGMainLoop(set_as_defaultTrue) Discover your player
mpris uri

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.2-8.mga9
+ Revision: 1823561
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.2-7.mga9
+ Revision: 1783724
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.2-6.mga9
+ Revision: 1732618
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-5.mga8
+ Revision: 1533032
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.0.2-4.mga8
+ Revision: 1443255
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 1.0.2-3.mga7
+ Revision: 1351254
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1289207
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1215538
- imported package python-mpris2

